Bug 247465 - NetworkManager erases nameserver when using static IP
NetworkManager erases nameserver when using static IP
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
7
All Linux
low Severity low
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-07-09 10:29 EDT by Paul Johnson
Modified: 2008-08-02 19:40 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-16 21:49:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Paul Johnson 2007-07-09 10:29:41 EDT
Description of problem:

NM works fine if you use DHCP.  However, it erases the namesever from
/etc/resolv.conf when you go to a network where you have static IP set.

Version-Release number of selected component (if applicable):


How reproducible:

My laptop goes between several wireless units and several wired networks.  On
the wired networks, I have static IP and have to set the nameserver in
/etc/resolve.conf.  WHen I go to wireless, then the nameserver gets written in
automatically.  When I go back to the system where I have access to a wired
network, NM does something funny.  Sometimes, it simply does not change the
contents of /etc/resolve.conf, but more usually it erases the nameserver
entirely.   If I'm on the wire, and shut down, and then turn back on again, NM
almost always just erases the nameserver I've put into /etc/resolve.conf.

Steps to Reproduce:
1. Take a laptop between some wireless dhcp networks and some static ip networks
2. note that /etc/resolve.conf is empty on the networks without dhcp
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Nemean 2008-04-09 14:17:39 EDT
Network manager also refuses to accept a static ip address. On reboot NM tries
to get a dynamic address from the network even though a static IP address has
already been setup.
Comment 2 Dan Williams 2008-04-10 09:40:28 EDT
What are the contents of your ifcfg file in which you're defining the static IP
config?
Comment 3 Bug Zapper 2008-05-14 09:28:14 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2008-06-16 21:49:56 EDT
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.